Name:		toilet
Version:	0.3
Release:	%mkrel 11
Summary:	Powerful figlet replacement
License:	WTFPL
Group:		Text tools
Url:		http://caca.zoy.org/wiki/toilet
Source:		http://caca.zoy.org/raw-attachment/wiki/toilet/%{name}-%{version}.tar.gz
Patch1:		toilet-0.3-automake-1.13.patch
BuildRequires:	pkgconfig(caca) 
BuildRequires:	pkgconfig(zlib)

%description
TOIlet is in its very early development phase. It uses the powerful libcucul
library to achieve various text-based effects. TOIlet implements or plans to
implement the following features:
 * The ability to load FIGlet fonts
 * Support for Unicode input and output
 * Support for colour output
 * Support for various output formats: HTML, IRC, ANSI...

TOIlet also aims for full FIGlet compatibility. It is currently able to load
FIGlet fonts and perform horizontal smushing. 

%prep
%setup -q
%autopatch -p1

%build
./bootstrap
%configure
%make_build

%install
%makeinstall 

%files
%_bindir/toilet
%_datadir/figlet
%_mandir/man1/toilet.*




%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.3-11.mga10
+ Revision: 2212242
- Mageia 10 Mass Rebuild

* Tue Mar 29 2022 umeabot <umeabot> 0.3-10.mga9
+ Revision: 1831455
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 0.3-9.mga8
+ Revision: 1517433
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 0.3-8.mga7
+ Revision: 1301431
- Mageia 7 Mass Rebuild

* Mon Feb 08 2016 umeabot <umeabot> 0.3-7.mga6
+ Revision: 942957
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.3-6.mga5
+ Revision: 740452
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.3-5.mga5
+ Revision: 689912
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.3-4.mga4
+ Revision: 519677
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 0.3-3.mga3
+ Revision: 384634
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 03 2013 cjw <cjw> 0.3-2.mga3
+ Revision: 337942
- patch1: fix build with automake 1.13

* Wed Jul 11 2012 pterjan <pterjan> 0.3-1.mga3
+ Revision: 269354
- Update to 0.3
- Update URLs

* Tue Feb 01 2011 pterjan <pterjan> 0.2-2.mga2
+ Revision: 45919
- imported package toilet


* Wed Dec 08 2010 Oden Eriksson <oeriksson@mandriva.com> 0.2-2mdv2011.0
+ Revision: 615233
- the mass rebuild of 2010.1 packages

* Sun Feb 14 2010 Pascal Terjan <pterjan@mandriva.org> 0.2-1mdv2010.1
+ Revision: 505675
- 0.2

* Sun Sep 20 2009 Thierry Vignaud <tv@mandriva.org> 0.1-5mdv2010.0
+ Revision: 445495
- rebuild

* Fri Nov 14 2008 Pascal Terjan <pterjan@mandriva.org> 0.1-4mdv2009.1
+ Revision: 303147
- Fix build with as-needed
- Add upstream patch fixing build with --as-needed

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild
    - rebuild

* Wed Mar 26 2008 Pascal Terjan <pterjan@mandriva.org> 0.1-1mdv2008.1
+ Revision: 190248
- import toilet


